安全研究

威胁通告
libxls多个远程代码执行漏洞

综述

当地时间1115日,Talos发布了多个关于libxls的远程代码执行漏洞。libxls是一个可以读取Excelxls)文件的C库。 它已经在Linux x86Cygwin上测试过,但是可以在任何小端系统上运行。 它与大端系统不兼容。

 

相关链接:

https://www.talosintelligence.com/vulnerability_reports#disclosed

漏洞及受影响的版本

CVE

漏洞

CVSS v3.0

受影响的版本

CVE-2017-12108

libxls xls_preparseWorkSheet MULBLANK Code Execution Vulnerability

8.8

libxls 1.4 readxl package 1.0.0 for R (tested using Microsoft R 4.3.1)

CVE-2017-2897

libxls read_MSAT Code Execution Vulnerability

8.8

CVE-2017-2896

libxls xls_mergedCells Code Execution Vulnerability

8.8

CVE-2017-12109

libxls xls_preparseWorkSheet MULRK Code Execution Vulnerability

8.8

CVE-2017-12110

libxls xls_appendSST Code Execution Vulnerability

8.8

CVE-2017-2919

libxls xls_getfcell Code Execution Vulnerability

8.8

libxls 1.3.4

CVE-2017-12111

libxls xls_addCell Formula Code Execution Vulnerability

8.8

libxls 1.4

点击CVE编号查看漏洞详情。

解决方案

libxls已经更新了新版本解决了以上漏洞,请用户尽快升级进行防护。

参考链接:

http://libxls.sourceforge.net/


声 明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。


浏览次数:

关 闭